curl --request PUT \
--url https://api.pipedream.com/v1/connect/{project_id}/app_overrides/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"oauth_app_id": "<string>",
"cfmap": {}
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.appOverrides.update("id");
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.app_overrides.update(
id="id",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.appoverrides.requests.UpdateAppOverrideOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.appOverrides().update(
"id",
UpdateAppOverrideOpts
.builder()
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/app_overrides/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"oauth_app_id\": \"<string>\",\n \"cfmap\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "<string>",
"app": {
"name_slug": "<string>",
"name": "<string>",
"img_src": "<string>",
"custom_fields_json": "<string>",
"categories": [
"<string>"
],
"featured_weight": 123,
"scope_profiles": [
{
"name": "read_only",
"scopes": [
"<string>"
]
}
],
"id": "<string>",
"auth_type": "keys",
"description": "<string>"
},
"cfmap": {},
"owner_id": "<string>",
"oauth_app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Throttled"
}Update app override
Update an app override’s name, custom field values, or OAuth client selection
curl --request PUT \
--url https://api.pipedream.com/v1/connect/{project_id}/app_overrides/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"oauth_app_id": "<string>",
"cfmap": {}
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.appOverrides.update("id");
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.app_overrides.update(
id="id",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.appoverrides.requests.UpdateAppOverrideOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.appOverrides().update(
"id",
UpdateAppOverrideOpts
.builder()
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/app_overrides/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"oauth_app_id\": \"<string>\",\n \"cfmap\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "<string>",
"app": {
"name_slug": "<string>",
"name": "<string>",
"img_src": "<string>",
"custom_fields_json": "<string>",
"categories": [
"<string>"
],
"featured_weight": 123,
"scope_profiles": [
{
"name": "read_only",
"scopes": [
"<string>"
]
}
],
"id": "<string>",
"auth_type": "keys",
"description": "<string>"
},
"cfmap": {},
"owner_id": "<string>",
"oauth_app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Throttled"
}Authorizations
A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.
Path Parameters
The project ID, which starts with proj_.
^proj_[a-zA-Z0-9]+$The app override ID, which starts with ao_.
^ao_[0-9A-Za-z]+$Body
Response
app override updated
A named set of pre-defined custom field values for an app, owned by the workspace or a project. For OAuth apps it can select the custom OAuth client to use.
Hash ID for the app override
^ao_[0-9A-Za-z]+$Name of the override, unique per owner
Response object for a Pipedream app's metadata
Show child attributes
Show child attributes
Pre-defined custom field values, keyed by the app's custom field names. Sensitive (password-type) fields cannot be pre-defined.
Hash ID of the owner: the workspace (o_...) or the project (proj_...)
Hash ID of the custom OAuth client the override selects, if any
^oa_[0-9A-Za-z]+$Was this page helpful?